/*
=============
Author: Lucas Josino
Github: https://github.com/LucJosin
Website: https://lucasjosino.com/
=============
Plugin/Id: on_toast_widget#2
Homepage: https://github.com/LucJosin/on_toast_widget
Pub: https://pub.dev/packages/on_toast_widget
License: https://github.com/LucJosin/on_toast_widget/blob/main/LICENSE
Copyright: © 2022, Lucas Josino. All rights reserved.
=============
*/

library on_toast_widget;

import 'dart:async';

import 'package:flutter/material.dart';

//
part 'details/on_toast_widget.dart';

//
part 'details/animations/on_slide_animations.dart';
part 'details/animations/on_zoom_animations.dart';
part 'details/animations/on_fade_animation.dart';
part 'details/animations/on_size_animation.dart';

//
part 'details/types/effect_type.dart';
part 'details/types/slide_position_type.dart';
part 'details/types/zoom_position_type.dart';
part 'details/types/fade_position_type.dart';
part 'details/types/size_position_type.dart';

//
part 'details/utils/slide_widget_utils.dart';
part 'details/utils/zoom_widget_utils.dart';
part 'details/utils/fade_widget_utils.dart';
part 'details/utils/size_widget_utils.dart';
